package com.rshy.project.hy.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 身份信息
 * </p>
 *
 * @author fanqun
 * @since 2022-06-11
 */
@Data
@Accessors(chain = true)
public class Identity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String barCode;

    @TableId(value = "id_num", type = IdType.INPUT)
    private String idNum;

    private String name;

    private String address;

    private String phone;

    private String photo;


    @Override
    public String toString() {
        return "Identity{" +
                "barCode=" + barCode +
                ", idNum=" + idNum +
                ", name=" + name +
                ", address=" + address +
                ", phone=" + phone +
                "}";
    }
}
