package com.rshy.project.hy.server.dto;

import com.alibaba.fastjson.JSON;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * Created by fanqun on 2022/5/30.
 */
@Data
@Accessors(chain = true)
public class PctxcmResultDTO {

    private int code;
    private String msg;

    private XcmData data;

    @Data
    public static class XcmData implements Serializable {
        private List<XcmResult> result;
        private int excuteTime;

    }

    @Data
    public static class XcmResult implements Serializable {
        private String XG_RQSJ;
        private String ZJHM;
        private String GMSFHM;
        private String SFDGZGFXQY_MC;
    }

}
