package com.rshy.project.hy.model.dto;

import com.rshy.project.hy.model.enums.NucleicAcidEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/4/30 14:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class NucleicAcidDTO {
    @ApiModelProperty("核酸报告结果描述")
    private String results;

    @ApiModelProperty("核酸报告时间 格式 MM-dd HH:mm")
    private String time;

    @ApiModelProperty("状态，是否符合当前防疫政策 1 符合 0 不符合")
    private Integer status;

    public NucleicAcidDTO set(NucleicAcidEnum data) {
        return this.setStatus(data.getCode()).setResults(data.getDesc());
    }
}
